
![status](https://img.shields.io/badge/status-beta-red.svg)
![Version](https://img.shields.io/badge/version-1.0.3-blue.svg)
![pypi](https://img.shields.io/pypi/pyversions/corkit)
[![License](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)

<h1 style="text-align:center;">CorKit: Coronagraph Science Kit</h1>

<div style="text-align:center;">
    <img src="https://github.com/Jorgedavyd/corkit/blob/main/docs/source/logo.png">
</div>

**CorKit** is an open-source Python library designed to streamline the retrieval and preprocessing of solar coronagraph data. Its primary aim is to democratize access to coronagraph data, enabling a broader community of solar scientists to engage in research without the need for proprietary software like IDL. It's derived from [Solarsoft](https://www.lmsal.com/solarsoft/):

<div style="text-align:center;">
    <img src="https://github.com/Jorgedavyd/corkit/blob/main/docs/examples/c2.png">
</div>

## Key Features:

1. **Open Source Accessibility**: **CorKit** removes barriers to entry by providing free access to solar coronagraph data. Its open-source nature ensures that researchers, educators, and enthusiasts can easily retrieve and analyze data without worrying about proprietary software licenses.

2. **User-Friendly Interface**: With simple and intuitive methods, **CorKit** makes it effortless for users to retrieve and preprocess coronagraph data. This user-centric approach allows researchers to focus more on their scientific analysis and less on navigating complex data retrieval processes.

3. **Advancing Solar Science**: By empowering researchers with the tools needed to preprocess and analyze coronagraph data, **CorKit** contributes to the advancement of solar science. Researchers can explore the intricate connections between the Sun and Earth, leading to new insights and discoveries.

4. **Community Collaboration**: **CorKit** fosters collaboration and knowledge sharing within the solar science community. By providing a common platform for data access and preprocessing, the library encourages interdisciplinary collaborations and accelerates scientific progress.

## Coronagraph data supported
1. SOHO|LASCO C2
2. SOHO|LASCOs C3
3. STEREO|SECCHI|COR 2


